#!/bin/sh

# Bugfix TP #97785.
# Set correct permissions on the php session path

php_ini_list="/etc/php.ini /etc/php5/apache2/php.ini \
			/etc/php5/cli/php.ini /etc/php5/fastcgi/php.ini /etc/php5/cgi/php.ini"

set_php_session_save_path_perms()
{
	local php_ini="$1"

	[ -r "$php_ini" ] || return

	if [ -n "$php_ini" -a -L "$php_ini" ]; then
		php_ini=`realpath $php_ini`
	fi

	ssave_path=`php -c "$php_ini" -r "echo ini_get('session.save_path');" 2>/dev/null || get_phpini_var "session.save_path"`
	[ -n "$ssave_path" -a -d "$ssave_path" ] || return

	chown root:0 $ssave_path
	chmod 1733 $ssave_path
}

for i in $php_ini_list; do
	set_php_session_save_path_perms $i
done

exit 0
